<div id="body" class="container-fluid">
  <h6>Open Slots Lookup</h6>
  <form [formGroup]="form" novalidate>
    <!--<div class="form-row">
      <div class="form-group form-group-sm row col-12">
        <label class="col-form-label col-6">Product Type:</label>
        <div class="col-18 pl-1">
          <dx-select-box [items]="prodTypeList"
                         displayExpr="text"
                         valueExpr="value"
                         placeholder="-- Select Option --"
                         formControlName="productType"
                         (onValueChanged)="onProductTypeChange($event)"></dx-select-box>
          <div *ngIf="productType.invalid && (productType.dirty || productType.touched)">
            <span *ngIf="productType.errors.required" class="form-text text-danger">
              Product Type is required
            </span>
          </div>
        </div>
      </div>
    </div>-->
    <div class="form-row">
      <div class="form-group form-group-sm row col-12">
        <label class="col-form-label col-6">Activity Type:</label>
        <div class="col-18 pl-1">
          <dx-tag-box [dataSource]="mdsActvtyTypeList"
                      displayExpr="text"
                      valueExpr="value"
                      formControlName="mdsActvtyType"
                      [showSelectionControls]="true">
          </dx-tag-box>
        </div>
      </div>
    </div>
    <!--<div class="form-row">
      <div class="form-group form-group-sm row col-12" *ngIf="productType.value == 3">
        <label class="col-form-label col-6">MPLS Event Type:</label>
        <div class="col-18 pl-1">
          <dx-select-box [items]="mplsEventTypeList"
                          displayExpr="description"
                          placeholder="-- Select Option --"
                          formControlName="mplsEventType"
                          valueExpr="value"></dx-select-box>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group form-group-sm row col-12" *ngIf="productType.value == 3">
        <label class="col-form-label col-6">IP Version:</label>
        <div class="col-18 pl-1">
          <dx-select-box [items]="ipVersionList"
                          displayExpr="text"
                          placeholder="-- Select Option --"
                          formControlName="ipVersion"
                          valueExpr="value"></dx-select-box>
        </div>
      </div>
    </div>-->
    <div class="form-row">
      <div class="form-group form-group-sm row col-12">
        <label class="col-form-label col-6">Slot for Date:</label>
        <div class="col-18 pl-1">
          <dx-date-box type="date"
                       [acceptCustomValue]="false"
                       displayFormat="MM/dd/yyyy"
                       pickerType="calendar"
                       [useMaskBehavior]="true"
                       formControlName="slotDate"
                       width="100%">
          </dx-date-box>
          <div *ngIf="slotDate.invalid && (slotDate.dirty || slotDate.touched)">
            <span *ngIf="slotDate.errors.required" class="form-text text-danger">
              Slot for Date is required
            </span>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group form-group-sm row col-12 text-center">
        <div class="col-24 mt-1 text-center">
          <button class="btn btn-sm btn-primary" type="button" (click)="lookup()"
                  [disabled]="form.invalid">
            Get Open Slots
          </button>
          <button class="btn btn-sm btn-secondary ml-1" type="reset" (click)="reset()">
            Clear
          </button>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group form-group-sm row col-24">
        <label *ngIf="openSlotList.length <= 0 && isSubmitted" class="mb-1 text-danger">
          No Matching Records Found
        </label>
        <label *ngIf="openSlotList.length > 0" class="mb-1">
          All results displayed are between 12:00AM - 11:59PM on the selected date
        </label><br />
                <dx-data-grid #grid id="grid" *ngIf="openSlotList.length > 0"
                              keyExpr="useR_ID" [dataSource]="openSlotList"
                              [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                              [showBorders]="true" [columnAutoWidth]="true">
                  <dxo-sorting mode="multiple"></dxo-sorting>
                  <dxo-paging [enabled]="false"></dxo-paging>
                  <dxi-column dataField="fulL_NME" caption="Full Name" dataType="string" [minWidth]="150"></dxi-column>
                  <dxi-column dataField="timeSlot" caption="Time Slot" dataType="string" [minWidth]="150" [calculateSortValue]="customSortingFunction"></dxi-column>
                </dx-data-grid>
      </div>
    </div>
  </form>
</div>
